# Create account users

This endpoint allows the creation of new users linked to the organization via API.

By using this functionality, you can add new members to the organization, configuring the appropriate permission levels and ensuring that all necessary data, such as contact details, email, name, etc., are properly registered for the new user.

{% hint style="danger" %}
**IMPORTANT**: Before the creation of the new user is completed, the number of available users within the organization will be validated. If the limit has been reached, it will not be possible to create the new user.
{% endhint %}

{% hint style="info" %}
The request method is POST. If you use PATCH or PUT it will not have the desired effect.
{% endhint %}

## Create new users

<mark style="color:green;">`POST`</mark>`https://api.zapsign.com.br/api/v1/users/create-user`

## Headers

<table><thead><tr><th width="149">Name</th><th width="138">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>string</td><td><p>apiToken ahead of the "Bearer" text. </p><p>Ex: Bearer c7f35c84-7893-4087-b4fb-d1f06c23</p></td></tr></tbody></table>

## Request Body

<table><thead><tr><th width="159">Name</th><th width="158">Type</th><th>Description</th></tr></thead><tbody><tr><td>email</td><td>string</td><td>User's email. A string of up to 255 characters and must be a valid email address. (Required field)</td></tr><tr><td>role</td><td>string</td><td>User's permission level within the company. Possible values: "member", "admin", "self_docs_limited" (Limited access to own documents). Default: "self_docs_limited".</td></tr><tr><td>first_name</td><td>string</td><td>User's first name. A string of up to 255 characters.</td></tr><tr><td>last_name</td><td>string</td><td>User's last name. A string of up to 255 characters.</td></tr><tr><td>phone_country</td><td>string</td><td>User's country code. (e.g., 55).</td></tr><tr><td>phone_number</td><td>string</td><td>User's phone number. (e.g., 11999999999).</td></tr></tbody></table>

{% hint style="warning" %}
The **email** parameter is required to create the new user. If a value is not provided in the request body, it will not be possible to add the user to the organization.
{% endhint %}

{% hint style="info" %}
**Warning**: It is not possible to create a new user with 'owner' permission.
{% endhint %}

### Request

```javascript
{
    "email":"loremipsum@email.com",
    "role":"admin",
    "first_name":"Lorem",
    "last_name":"Ipsum",
    "phone_country":"55",
    "phone_number":"11999999999"
}
```

### Response

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "message": "User created successfully."
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/english/account/create-account-users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
